ObjectInstance (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class ObjectInstance

- java.lang.Object
- - hlt.language.design.backend.ObjectInstance

- All Implemented Interfaces:
    RuntimeObject

      public class ObjectInstance
      extends java.lang.Object
      implements RuntimeObject

  This is the class of object structures.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectInstance(ClassType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()`
    `int` | `getIntField(int offset)`
    `java.lang.Object` | `getObjectField(int offset)`
    `double` | `getRealField(int offset)`
    `int` | `setIntField(int offset, int value)`
    `java.lang.Object` | `setObjectField(int offset, java.lang.Object value)`
    `double` | `setRealField(int offset, double value)`
    `java.lang.String` | `toString()`
    `ClassType` | `type()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectInstance

          public ObjectInstance(ClassType type)
                         throws ObjectInitializationException

      Throws:
        `ObjectInitializationException`

  - ### Method Detail

    - #### type

          public final ClassType type()

    - #### getClassName

          public final java.lang.String getClassName()

    - #### getIntField

          public final int getIntField(int offset)

    - #### setIntField

          public final int setIntField(int offset,
                        int value)

    - #### getRealField

          public final double getRealField(int offset)

    - #### setRealField

          public final double setRealField(int offset,
                            double value)

    - #### getObjectField

          public final java.lang.Object getObjectField(int offset)

    - #### setObjectField

          public final java.lang.Object setObjectField(int offset,
                                        java.lang.Object value)

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`